Skip to content

Replace Bot Infrastructure.

PUT
/api/shape/bot/namespaces/{metadata.namespace}/bot_infrastructures/{metadata.name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/bot_infrastructures/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "cloud_hosted": { "egress": [ { "ip_address": "example", "region": "AP_NORTHEAST_1" } ], "firmware_version": "example", "host_names": [ "example" ], "infra_host_name": "example", "ingress": [ { "host_name": "example", "ip_address": "example", "region": "AP_NORTHEAST_1" } ], "ip_addresses": [ "example" ] }, "environment_type": "PRODUCTION", "on_prem": { "devices": [ { "certification_status": "example", "device_firmware_version": "example", "device_name": "example", "ip_info": { "local": "example", "traffic": "example", "wan": "example" } } ], "firmware_version": "example", "infra_host_name": "example" }, "physical_hosted": { "devices": [ { "certification_status": "example", "device_firmware_version": "example", "device_name": "example", "ip_info": { "local": "example", "traffic": "example", "wan": "example" } } ], "firmware_version": "example", "infra_host_name": "example" }, "traffic_type": "WEB" } }'

Replace Bot Infrastructure.

Examples of this operation.

metadata.namespace
required
string

Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

metadata.name
required
string

Name The configuration object to be replaced will be looked up by name.

Media typeapplication/json
ReplaceRequest is used to replace contents of a bot_infrastructure

This is the input message of the ‘Replace’ RPC.

object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
cloud_hosted
object
egress
Egress

Egress IP Addresses.

Array<object>
Egress

Egress

object
ip_address
IP Address

Egress IP address Required: YES.

string
<= 1024 characters
region
string
default: AP_NORTHEAST_1
Allowed values: AP_NORTHEAST_1 AP_NORTHEAST_3 AP_SOUTH_1 AP_SOUTH_2 AP_SOUTHEAST_1 AP_SOUTHEAST_2 AP_SOUTHEAST_3 EU_CENTRAL_1 EU_NORTH_1 EU_WEST_1 ME_SOUTH_1 ME_CENTRAL_1 SA_EAST_1 US_EAST_1 US_EAST_2 US_WEST_1 US_WEST_2 AF_SOUTH_1 GCP_ASIA_EAST1 GCP_ASIA_EAST2 GCP_ASIA_NORTHEAST1 GCP_ASIA_NORTHEAST2 GCP_ASIA_NORTHEAST3 GCP_ASIA_SOUTH1 GCP_ASIA_SOUTHEAST1 GCP_ASIA_SOUTHEAST2 GCP_AUSTRALIA_SOUTHEAST1 GCP_EUROPE_WEST1 GCP_EUROPE_WEST2 GCP_EUROPE_WEST3 GCP_NORTHAMERICA_NORTHEAST1 GCP_NORTHAMERICA_NORTHEAST2 GCP_SOUTHAMERICA_EAST1 GCP_SOUTHAMERICA_WEST1 GCP_US_CENTRAL1 GCP_US_EAST1 GCP_US_EAST4 GCP_US_WEST1 GCP_US_WEST2
firmware_version
Firmware Version

The version of firmware for the cluster.

string
<= 1024 characters
host_names
Allowed Host Names

Only traffic from machines with these host names is allowed to access this Bot Defense infrastructure.

Array<string>
infra_host_name
Infra host name

Human-readable name for the resource

string
<= 1024 characters
ingress
Ingress

Ingress Host Names or IP Addresses.

Array<object>
Ingress

Ingress

object
host_name
Host Name

Exclusive with [ip_address]

string
<= 1024 characters
ip_address
IP Address

Exclusive with [host_name] Ingress IP Address.

string
<= 1024 characters
region
string
default: AP_NORTHEAST_1
Allowed values: AP_NORTHEAST_1 AP_NORTHEAST_3 AP_SOUTH_1 AP_SOUTH_2 AP_SOUTHEAST_1 AP_SOUTHEAST_2 AP_SOUTHEAST_3 EU_CENTRAL_1 EU_NORTH_1 EU_WEST_1 ME_SOUTH_1 ME_CENTRAL_1 SA_EAST_1 US_EAST_1 US_EAST_2 US_WEST_1 US_WEST_2 AF_SOUTH_1 GCP_ASIA_EAST1 GCP_ASIA_EAST2 GCP_ASIA_NORTHEAST1 GCP_ASIA_NORTHEAST2 GCP_ASIA_NORTHEAST3 GCP_ASIA_SOUTH1 GCP_ASIA_SOUTHEAST1 GCP_ASIA_SOUTHEAST2 GCP_AUSTRALIA_SOUTHEAST1 GCP_EUROPE_WEST1 GCP_EUROPE_WEST2 GCP_EUROPE_WEST3 GCP_NORTHAMERICA_NORTHEAST1 GCP_NORTHAMERICA_NORTHEAST2 GCP_SOUTHAMERICA_EAST1 GCP_SOUTHAMERICA_WEST1 GCP_US_CENTRAL1 GCP_US_EAST1 GCP_US_EAST4 GCP_US_WEST1 GCP_US_WEST2
ip_addresses
IP Allowlist

Only traffic from these IP addresses is allowed to access this Bot Defense infrastructure.

Array<string>
environment_type
string
default: PRODUCTION
Allowed values: PRODUCTION TESTING
on_prem
object
devices
Devices

The devices assgined to the cluster.

Array<object>
Devices

The device details.

object
certification_status
Certification status

The status of certification in device.

string
<= 1024 characters
device_firmware_version
Device Firmware version

The firmware version in device.

string
<= 1024 characters
device_name
Device name

The name for the device.

string
<= 1024 characters
ip_info
object
local
Local

Local IP address.

string
<= 1024 characters
traffic
Traffic

Traffic address.

string
<= 1024 characters
wan
WAN

WAN address.

string
<= 1024 characters
firmware_version
Firmware Version

The version of firmware for the cluster.

string
<= 1024 characters
infra_host_name
Infra host name

Infra host name should be “N/A”

string
<= 1024 characters
physical_hosted
object
devices
Devices

The devices assgined to the cluster.

Array<object>
Devices

The device details.

object
certification_status
Certification status

The status of certification in device.

string
<= 1024 characters
device_firmware_version
Device Firmware version

The firmware version in device.

string
<= 1024 characters
device_name
Device name

The name for the device.

string
<= 1024 characters
ip_info
object
local
Local

Local IP address.

string
<= 1024 characters
traffic
Traffic

Traffic address.

string
<= 1024 characters
wan
WAN

WAN address.

string
<= 1024 characters
firmware_version
Firmware Version

The version of firmware for the cluster.

string
<= 1024 characters
infra_host_name
Infra host name

Infra host name should be “N/A”

string
<= 1024 characters
traffic_type
string
default: WEB
Allowed values: WEB MOBILE

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example